config:
  sonarqube:
    namespace: "{{ platform.prefix }}-sonarqube"
    fqdn: sonarqube.{{ platform.domain }}
  
    s3:
      fqdn: "backup-vault.{{ platform.domain }}"
      bucket: "{{ platform.prefix }}-sonarqube"

  sealed_secrets:
    namespace: "{{ platform.prefix }}-sealed-secrets"
    
charts:
  sonarqube:
    name: sonarqube-lts
    version: 1.0.29+325
    owner: sonarqube
    repo: https://SonarSource.github.io/helm-chart-sonarqube

deployments:
  sonar_auth_oidc:
    repo: vaulttec/sonar-auth-oidc
    version: 2.0.0 # 2.1.0 and 2.1.1 bug with NoClassDefFoundError javax/servlet/Filter
